Bug 1790570 (CVE-2020-2601) - CVE-2020-2601 OpenJDK: Use of unsafe RSA-MD5 checksum in Kerberos TGS (Security, 8229951)
Summary: CVE-2020-2601 OpenJDK: Use of unsafe RSA-MD5 checksum in Kerberos TGS (Securi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1785757 1785758 1785759 1785760 1785761 1785762 1785763 1785764 1785765 1785766 1785767 1789444 1789445 1789446
Blocks: 1785754
TreeView+ depends on / blocked
 
Reported: 2020-01-13 16:15 UTC by Tomas Hoger
Modified: 2020-05-12 21:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 15:49:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0212 None None None 2020-01-23 14:04:59 UTC
Red Hat Product Errata RHBA-2020:0213 None None None 2020-01-23 14:46:55 UTC
Red Hat Product Errata RHBA-2020:0220 None None None 2020-01-23 17:00:29 UTC
Red Hat Product Errata RHBA-2020:0225 None None None 2020-01-27 01:22:05 UTC
Red Hat Product Errata RHBA-2020:0226 None None None 2020-01-27 01:22:49 UTC
Red Hat Product Errata RHBA-2020:0237 None None None 2020-01-27 12:18:47 UTC
Red Hat Product Errata RHBA-2020:0238 None None None 2020-01-27 12:25:18 UTC
Red Hat Product Errata RHBA-2020:0239 None None None 2020-01-27 12:26:30 UTC
Red Hat Product Errata RHBA-2020:0240 None None None 2020-01-27 12:26:39 UTC
Red Hat Product Errata RHBA-2020:0241 None None None 2020-01-27 12:29:17 UTC
Red Hat Product Errata RHBA-2020:0242 None None None 2020-01-27 12:26:44 UTC
Red Hat Product Errata RHBA-2020:0311 None None None 2020-01-30 20:06:35 UTC
Red Hat Product Errata RHBA-2020:0318 None None None 2020-02-03 10:27:50 UTC
Red Hat Product Errata RHBA-2020:0489 None None None 2020-02-13 15:00:52 UTC
Red Hat Product Errata RHBA-2020:0558 None None None 2020-02-20 08:31:06 UTC
Red Hat Product Errata RHBA-2020:0639 None None None 2020-02-27 19:29:58 UTC
Red Hat Product Errata RHSA-2020:0122 None None None 2020-01-16 13:21:37 UTC
Red Hat Product Errata RHSA-2020:0128 None None None 2020-01-16 13:02:41 UTC
Red Hat Product Errata RHSA-2020:0157 None None None 2020-01-21 03:02:06 UTC
Red Hat Product Errata RHSA-2020:0196 None None None 2020-01-21 23:00:51 UTC
Red Hat Product Errata RHSA-2020:0202 None None None 2020-01-22 13:04:49 UTC
Red Hat Product Errata RHSA-2020:0231 None None None 2020-01-27 08:54:33 UTC
Red Hat Product Errata RHSA-2020:0232 None None None 2020-01-27 08:55:44 UTC
Red Hat Product Errata RHSA-2020:0541 None None None 2020-02-18 15:28:44 UTC
Red Hat Product Errata RHSA-2020:0632 None None None 2020-02-27 15:27:05 UTC

Description Tomas Hoger 2020-01-13 16:15:55 UTC
It was discovered that the Kerberos implementation in the Security component of OpenJDK used RSA-MD5 checksum in Ticket Granting Service (TGS) requests even though MD5 algorithm is no longer considered safe for such use case.  A remote attacker could possibly use this flaw to manipulate TGS requests.

Comment 1 Tomas Hoger 2020-01-15 11:16:55 UTC
Public now via Oracle CPU January 2020:

https://www.oracle.com/security-alerts/cpujan2020.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.2, 11.0.6, 8u241, and 7u251.

Comment 2 errata-xmlrpc 2020-01-16 13:02:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0128 https://access.redhat.com/errata/RHSA-2020:0128

Comment 3 errata-xmlrpc 2020-01-16 13:21:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0122 https://access.redhat.com/errata/RHSA-2020:0122

Comment 4 errata-xmlrpc 2020-01-21 03:02:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0157 https://access.redhat.com/errata/RHSA-2020:0157

Comment 5 errata-xmlrpc 2020-01-21 23:00:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0196 https://access.redhat.com/errata/RHSA-2020:0196

Comment 6 errata-xmlrpc 2020-01-22 13:04:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0202 https://access.redhat.com/errata/RHSA-2020:0202

Comment 7 Zay Gyi 2020-01-24 07:42:57 UTC
Typo error?
Checkum -> checksum

Comment 8 Tomas Hoger 2020-01-24 07:49:12 UTC
Thanks, corrected.

Comment 9 errata-xmlrpc 2020-01-27 08:54:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0231 https://access.redhat.com/errata/RHSA-2020:0231

Comment 10 errata-xmlrpc 2020-01-27 08:55:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0232 https://access.redhat.com/errata/RHSA-2020:0232

Comment 15 errata-xmlrpc 2020-02-18 15:28:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0541 https://access.redhat.com/errata/RHSA-2020:0541

Comment 18 errata-xmlrpc 2020-02-27 15:27:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0632 https://access.redhat.com/errata/RHSA-2020:0632

Comment 19 Product Security DevOps Team 2020-02-27 15:49:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2601


Note You need to log in before you can comment on or make changes to this bug.